Bug 143671 - NM: Add a "Disable until I log out" menu toggle
NM: Add a "Disable until I log out" menu toggle
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-12-23 13:22 EST by Zack Cerza
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-07 19:24:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 162115 None None None Never

  None (edit)
Description Zack Cerza 2004-12-23 13:22:08 EST
Sometimes I'm using my computer where there is no network connection; in those
areas, NetworkManager's icon spins ceaselessly, looking for a connection, and
sucking my battery via my wireless adaptor (and screen). It shouldn't time out
automatically, though, in case I come within range of an access point. It also
shouldn't simply stop animating and keep looking, as that would still use power
needlessly in case I knew I wouldn't be near an access point (I might be riding
in a car or train or space shuttle, inside a bank vault, or at my parents house
where they only have dialup).

The best idea I've had would be to have a menu item labelled "Disable" or
"Disable until I log out" or similar, so that if I plan on using the computer
with no network connection, NetworkManager (not just the applet thingy) can
bring down all the interfaces it's been monitoring and go to sleep. I should be
able to toggle back to re-enable NetworkManager, though, and it should probably
be toggled back automatically when I log out.
Comment 1 Gerald Henriksen 2005-01-29 11:25:47 EST
My feeling is that simply ending the icon animation is enough (just
need to remove the visual distraction).  Any power being used by the
network adaptor is likely to be negligible compared to screen/hard
Comment 2 Christopher Aillon 2005-10-07 17:25:12 EDT
Right click on the applet, and unselect "Wireless enabled".

Does that work for you zack?
Comment 3 Zack Cerza 2005-10-07 19:24:00 EDT
Sure does! Closing as RAWHIDE.

Note You need to log in before you can comment on or make changes to this bug.